## org.apache.lucene.analysis.uima.ae
Interface AEProvider

All Known Implementing Classes:
  BasicAEProvider, OverridingParamsAEProvider

    public interface AEProvider

provide an Apache UIMA `AnalysisEngine`

Method Summary
`org.apache.uima.analysis_engine.AnalysisEngine` `getAE()` Returns the AnalysisEngine

Method Detail

### getAE

    org.apache.uima.analysis_engine.AnalysisEngine getAE()
                                                         throws org.apache.uima.resource.ResourceInitializationException

  Returns the AnalysisEngine

  Throws:
    `org.apache.uima.resource.ResourceInitializationException`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.